# $Revision: 1.9 $, $Date: 2002/10/21 20:31:57 $
Summary:	Toshiba Linux Utilities
Summary(pl):	Programy dla notebookw firmy Toshiba
Name:		toshutils
Version:	2.0.1
Release:	2
License:	GPL
Group:		Applications/System
Source0:	http://www.buzzard.org.uk/toshiba/%{name}-%{version}.tar.gz
Source1:	%{name}-fan.init
Patch0:		%{name}-include.patch
URL:		http://www.buzzard.org.uk/toshiba/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gtk+-devel
BuildRequires:	XFree86-tools
Requires(post,preun):	chkconfig
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xmandir	/usr/X11R6/man
%define		_xbindir	/usr/X11R6/bin

%description
This is a small series of programs to control the more Toshiba
specific aspects of their laptops. In particular they allow many of
the settings controlled by either Toshiba's MaxTime or Power Saver
utilities to be changed under Linux.

The Toshiba Linux utilities are specific to Toshiba laptops, and will
not run on laptops from other manufactures. In addition they will not
run on Satellite 15xx, 16xx, 17xx and 35DVD machines from Toshiba
either. These models sport Pheonix BIOS'es and are made in that part
of China that is not part of China. In short they are not true Toshiba
laptops and are unlikely to ever be supported by the Toshiba Linux
Utilities.

%description -l pl
Seria maych programikw pozwalajcych kontrolowa/zmienia
specyficzne dla notebookw firmy Toshiba ustawienia, w szczeglnoci
wiele ustawie z narzdzi Toshiba MaxTome albo Power Saver.

Te narzdzia s przeznaczone dla laptopw Toshiby i nie bd dziaa z
laptopami innych producentw; nie bd dziaa take z komputerami
Toshiba Satellite 15xx, 16xx, 17xx i 35DVD.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure2_13
%{__make} depend
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_xbindir}}
install -d $RPM_BUILD_ROOT{%{_mandir}/man{1,8},%{_xmandir}/man1}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d

install src/{alarm,dispswitch,fan,fnfind} $RPM_BUILD_ROOT%{_bindir}
install src/{ownerstring,svpw} $RPM_BUILD_ROOT%{_bindir}
install src/t{backlight,docked,passwd} $RPM_BUILD_ROOT%{_bindir}
install src/thotswap $RPM_BUILD_ROOT%{_sbindir}
install src/{tuxtime-conf,wmtuxtime,hotkey} $RPM_BUILD_ROOT%{_xbindir}
install doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install doc/*.1x $RPM_BUILD_ROOT%{_xmandir}/man1
install doc/*.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/fan

%post
/sbin/chkconfig --add fan
if [ -f /var/lock/subsys/fan ]; then
	/etc/rc.d/init.d/fan restart >&2
else
	echo "Run \"/etc/rc.d/init.d/fan start\" to start Toshiba fan daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/fan ]; then
		/etc/rc.d/init.d/fan stop >&2
	fi
	/sbin/chkconfig --del fan
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sysconfdir}/rc.d/init.d/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_xbindir}/*
%doc ChangeLog CONTRIBUTE FAQ README README.hotkey TODO
%{_mandir}/man*/*
%{_xmandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: toshutils.spec,v $
Revision 1.9  2002/10/21 20:31:57  undefine
-release 2 to rebuild with fixed toshiba-fan.init
-strb

Revision 1.8  2002/09/10 09:41:17  saq
- up to 2.0.1
- don't create /dev/toshiba, already in dev
- add fan.init
- BR: XFree86-tools (for xmessage)
- ExclusiveArch ix86
- use %%configure2_13, not ./configure
- put the binaries in correct places (bindir, sbindir, xbindir -- as
appropriate)
- add .8 and .1x man pages
- new doc compression mechanism

Revision 1.7  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/19 09:49:58  qboosh
- adapterized, longer pl description
- s/byacc/bison/ (preferred)
- BR: gtk+-devel (maybe separate x11 utils to subpackage?)

Revision 1.3  2001/11/14 01:50:34  speedy
- s/-j 8//
- s/bison/byacc/g in BuildRequires
- polish description [have to be changed]
- post install/uninstall [device /dev/toshiba]

Revision 1.2  2001/11/14 01:31:41  speedy
- BuildRequires:  flex
- BuildRequires:  bison

Revision 1.1  2001/11/14 01:13:59  speedy
- Toshiba Linux utilites
